function [final_spectrum]=ProcessFID(FID,matrix_NUS,dsize,fsize, lambda,iter);
    final_spectrum=zeros(size(FID,1),fsize,dsize);
    point=1;      
    fid=FID(point,:);
    fid=squeeze(fid);
    [flat_spectrum,lipshitz]=FISTA(ones(1,dsize*fsize),fid', lambda, matrix_NUS,0,0);
                            sprintf('Lipshitz Constant calculated')
  
       parfor point=1:size(FID,1)
      
            sprintf('Calculating point %i of %i',point, size(FID,1))
            fid=FID(point,:);
            fid=squeeze(fid);
            [flat_spectrum,lipshitz_temp]=FISTA(ones(1,dsize*fsize),fid', lambda, matrix_NUS,iter,lipshitz);
            final_spectrum(point,:,:)=reshape(flat_spectrum',fsize,dsize);           
        end
end

        



